"""Update target module

Revision ID: 774739532d8a
Revises: e86715a0afb5
Create Date: 2016-05-26 13:46:10.668950

"""

# revision identifiers, used by Alembic.
revision = '774739532d8a'
down_revision = 'e86715a0afb5'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE modules SET name='targets' WHERE id=2008;
UPDATE modules SET label='Zielwert' WHERE id=2008;
UPDATE modules SET label_plural='Zielwerte' WHERE id=2008;
"""
DELETES = """
UPDATE modules SET label_plural='Zielvorgaben' WHERE id=2008;
UPDATE modules SET label='Zielvorgabe' WHERE id=2008;
UPDATE modules SET name='target' WHERE id=2008;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('targets', 'uuid',
               existing_type=sa.CHAR(length=32),
               type_=sa.CHAR(length=36),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('targets', 'uuid',
               existing_type=sa.CHAR(length=36),
               type_=sa.CHAR(length=32),
               existing_nullable=True)
    ### end Alembic commands ###
    iter_statements(DELETES)
